Bug 426969 - gnome-wm needs OPT4=ccp for compiz-fusion and ccsm
gnome-wm needs OPT4=ccp for compiz-fusion and ccsm
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-28 22:55 EST by kidboy14
Modified: 2008-01-07 10:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 10:15:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kidboy14 2007-12-28 22:55:26 EST
Description of problem:
The gnome-wm script near the end of the file, inside the last case block (line#
129), the line should be OPT4=ccp, not OPT4=gconf. The compiz-fusion
configuration app ccsm only lets you use CCP as the backend, so compiz-fusion
needs to be launched with this option. If the change is not made, then settings
saved in ccsm have no effect. After the change is made, it works.

Version-Release number of selected component (if applicable):
gnome-session-2.20.2-1

How reproducible:
Install compiz-fusion and ccsm. Changes done in ccsm do not work.
  
Actual results:
Compiz-fusion should run with the correct settings saved in ccsm.

Expected results:
The settings have no effect.

Additional info:
Once the line is changed(to OPT4=ccp), everything works as it should, and the
settings are loaded correctly.
Comment 1 kidboy14 2007-12-28 22:56:54 EST
Edit: in my report, 'Actual results' and 'Expected results' are in the wrong
order. Sorry about that!
Comment 2 Ray Strode [halfline] 2008-01-02 10:38:57 EST
(ccing Kristian)

Kristian, I think this bug keeps coming up, but I never remember what the right
answer is.  Do you?
Comment 3 Kristian Høgsberg 2008-01-07 09:52:40 EST
Here's my reply the last time this came up:

http://www.redhat.com/archives/fedora-desktop-list/2007-October/msg00067.html
Comment 4 Ray Strode [halfline] 2008-01-07 10:15:39 EST
okay, definitely your call.  For reference the message is:

"This has come up before, and while it would be nice to have a more
capable configuration program for compiz the current libcompizconfig
is not the right solution.  Ideally we would have a configuration
application per desktop environment and the GNOME configurator would
just talk to gconf directly, similarly for the KDE configurator.

If somebody wants to write a settings manager that works with several
DEs, I think the burden is on the settings manager to talk to the
different configuration systems it wants to operate under.  Or this
could be part of libcompizconfig, so that setting managers that want
to be DE-agnostic can just link to this library and not worry about
the underlying config mechanism in use.

The current compiz setup is compatible with the above scheme, somebody
just need to do the necessary libcompizconfig adjustments."

Note You need to log in before you can comment on or make changes to this bug.